Web Apps - List Metric Definitions Slot
Hämtar alla måttdefinitioner för en app (eller distributionsfack, om det anges).
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/slots/{slot}/metricdefinitions?api-version=2018-02-01
URI-parametrar
| Name | I | Obligatorisk | Typ | Description |
|---|---|---|---|---|
|
name
|
path | True |
string |
Namnet på appen. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[-\w\._\(\)]+[^\.]$ |
Namnet på resursgruppen som resursen tillhör. |
|
slot
|
path | True |
string |
Namnet på distributionsfacket. Om ett fack inte anges hämtar API:et måttdefinitioner för produktionsplatsen. |
|
subscription
|
path | True |
string |
ditt prenumerations-ID för Azure Det här är en GUID-formaterad sträng (t.ex. 00000000-0000-0000-0000-000000000000). |
|
api-version
|
query | True |
string |
API-version |
Svar
| Name | Typ | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
App Service-felsvar. |
Säkerhet
azure_auth
Azure Active Directory OAuth2-flöde
Typ:
oauth2
Flow:
implicit
Auktoriseringswebbadress:
https://login.microsoftonline.com/common/oauth2/authorize
Omfattningar
| Name | Description |
|---|---|
| user_impersonation | personifiera ditt användarkonto |
Definitioner
| Name | Description |
|---|---|
|
Default |
App Service-felsvar. |
| Details | |
| Error |
Felmodell. |
|
Resource |
Måtttillgänglighet och kvarhållning. |
|
Resource |
Metadata för måtten. |
|
Resource |
Samling måttdefinitioner. |
DefaultErrorResponse
App Service-felsvar.
| Name | Typ | Description |
|---|---|---|
| error |
Felmodell. |
Details
| Name | Typ | Description |
|---|---|---|
| code |
string |
Standardiserad sträng för att programmatiskt identifiera felet. |
| message |
string |
Detaljerad felbeskrivning och felsökningsinformation. |
| target |
string |
Detaljerad felbeskrivning och felsökningsinformation. |
Error
Felmodell.
| Name | Typ | Description |
|---|---|---|
| code |
string |
Standardiserad sträng för att programmatiskt identifiera felet. |
| details |
Details[] |
Detaljerade fel. |
| innererror |
string |
Mer information om felsökningsfel. |
| message |
string |
Detaljerad felbeskrivning och felsökningsinformation. |
| target |
string |
Detaljerad felbeskrivning och felsökningsinformation. |
ResourceMetricAvailability
Måtttillgänglighet och kvarhållning.
| Name | Typ | Description |
|---|---|---|
| retention |
string |
Kvarhållningsperiod för det aktuella tidsintervallet. |
| timeGrain |
string |
Tidsintervall . |
ResourceMetricDefinition
Metadata för måtten.
| Name | Typ | Description |
|---|---|---|
| id |
string |
Resurs-ID. |
| kind |
string |
Typ av resurs. |
| name |
string |
Resursnamn. |
| properties.metricAvailabilities |
Lista över tidsintervall som stöds för måttet tillsammans med kvarhållningsperioden. |
|
| properties.primaryAggregationType |
string |
Primär sammansättningstyp. |
| properties.properties |
object |
Definitionsegenskaper för resursmått. |
| properties.resourceUri |
string |
Resurs-URI. |
| properties.unit |
string |
Måttenhet. |
| type |
string |
Resurstyp. |
ResourceMetricDefinitionCollection
Samling måttdefinitioner.
| Name | Typ | Description |
|---|---|---|
| nextLink |
string |
Länka till nästa sida med resurser. |
| value |
Samling resurser. |